Bug 1022775 - compression time metrics are not getting updated
compression time metrics are not getting updated
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core Server, Monitoring (Show other bugs)
4.9
Unspecified Unspecified
unspecified Severity medium (vote)
: ---
: RHQ 4.10
Assigned To: John Sanda
Mike Foley
:
Depends On:
Blocks: 1023148
  Show dependency treegraph
 
Reported: 2013-10-23 22:48 EDT by John Sanda
Modified: 2014-04-23 08:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1023148 (view as bug list)
Environment:
Last Closed: 2014-04-23 08:32:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sanda 2013-10-23 22:48:54 EDT
Description of problem:
One of the metrics reported by the Measurement Subsystem component of the RHQ Server resource is compression time. The metric always reports a value of zero due to a regression. MeasurementMonitorMBean.incrementMeasurementCompressionTime() is not getting called. It was called by MeasurementCompressionManagerBean; however, that class no longer performs the compression. It is now done by MetricsServer which should call the incrementMeasurementCompressionTime method. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 John Sanda 2013-10-24 21:26:22 EDT
The compression time metric is now obtained from MetricsServer. The fix has been committed to master.

commit hash: d3917363d
Comment 2 Heiko W. Rupp 2014-04-23 08:32:45 EDT
Bulk closing of 4.10 issues.

If an issue is not solved for you, please open a new BZ (or clone the existing one) with a version designator of 4.10.

Note You need to log in before you can comment on or make changes to this bug.